Is Coupon Redeemable

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

This API allows you to verify whether a coupon is redeemable by a specific customer.

👍

Note

For detailed information about our APIs and for hands-on testing, refer documentation in API overview and step-by-step guide on making your first API call in Make your first API call.

Prerequisites

  • Authentication: Basic or OAuth authentication
  • Default access group

Resource information

URLv1.1/coupon/isredeemable
HTTP MethodGET
PaginationNo
Batch supportNo

API endpoint example

https://eu.api.capillarytech.com/v1.1/coupon/isredeemable?mobile=11223569865&code=F3LRU8&coupon_code_case=lower

Request query parameters

ParameterData TypeDescription
mobile*IntegerPass the customer ID that you want to retrieve the coupon details from.
idIntegerUnique Customer ID.
external_idStringExternal ID of the customer.
emailStringEmail ID of the customer.
card_numberIntegerCard number of the customer.
card_external_idStringCard external ID of the customer.
detailsBooleanPass true to retrieve the details of the coupon series. Pass extended to retrieve the coupon configuration details (set on the campaign) for that specific coupon series.
code*StringPass the coupon code that you want to retrieve. To retrieve details of multiple coupons, pass each code separated with a comma (,).
coupon_code_caseEnumThis parameter helps retrieve the coupon code in the desired letter case. By default, the system converts the code to upper case. The query is not case-sensitive. Supported values:LOWER: Converts to lower case. UPPER: Converts to upper case. AS_IT_IS: Preserves original format.

Response parameters

ParameterDescription
mobileCustomer's mobile number.
codeCoupon code.
is_redeemableIndicates if the coupon is redeemable.
redemptions_leftNumber of redemptions left.
no_of_redemptions_by_userNumber of times the coupon has been redeemed by the user.
coupon_valueValue of the coupon.
mobileCustomer's mobile number (repeated from above).
emailCustomer's email address.
external_idExternal identifier for the customer.
successStatus of the coupon redeem request.
statusOverall status of the request.
codeStatus code for the request.
messageMessage describing the redeem status.

{
    "response": {
        "status": {
            "success": "true",
            "code": 200,
            "message": "Success"
        },
        "coupons": {
            "redeemable": {
                "mobile": "11223569865",
                "code": "f3lru8",
                "is_redeemable": "true",
                "redemptions_left": -1,
                "no_of_redemptions_by_user": 0,
                "coupon_value": "17",
                "customer": {
                    "mobile": "11223569865",
                    "email": null,
                    "external_id": "000003873472"
                },
                "item_status": {
                    "success": "true",
                    "status": "true",
                    "code": 700,
                    "message": "Coupon isRedeem successful"
                }
            }
        }
    }
}
{
    "response": {
        "status": {
            "success": "true",
            "code": 200,
            "message": "Success"
        },
        "coupons": {
            "redeemable": {
                "mobile": "11223569865",
                "code": "F3LRU8",
                "is_redeemable": "true",
                "redemptions_left": -1,
                "no_of_redemptions_by_user": 0,
                "coupon_value": "17",
                "customer": {
                    "mobile": "11223569865",
                    "email": null,
                    "external_id": "000003873472"
                },
                "item_status": {
                    "success": "true",
                    "status": "true",
                    "code": 700,
                    "message": "Coupon isRedeem successful"
                }
            }
        }
    }
}
Query Params
string
required

Mobile number of the customer.

string

Email ID of the customer.

int64

Unique ID of the customer.

string

External ID of the customer.

string

Card number of the customer.

string

Card external ID of the customer.

string
required

Coupon code to validate.

string
enum

Pass true to retrieve the details of the coupon series, extended to retrieve the details of coupon configurations (set on campaign) of that specific coupon series.

Allowed:
string
enum

This parameter helps to retrieve the coupon code in the desired letter cases. By default, the system automatically converts the coupon code to upper case. The query itself is not case sensitive. Supported Values: LOWER: Converts the coupon code to lower case. UPPER: Converts the coupon codes to upper case. AS_IT_IS: It ensure that the coupon code is retrieved exactly as it was created or provided, without altering the letter case. For instance, if the code is "abAB123," it should be retrieved and displayed as "abAB123," maintaining its original formatting.

Allowed:
Response

Language
Credentials
Basic
base64
:
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json